AOWP_PHPVariableElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPVariableElement
/parser/ast/PHPVariableElement.class.php at line 19

# Class AOWP_PHPVariableElement

    AOWP_PHPElement
        └─AOWP_PHPVariableElement

public class AOWP_PHPVariableElement
extends AOWP_PHPElement

PHPVariableElement PHPのASTにおける「変数」を表すクラス 文法規則: unticked_statement

Author:
  Ryoto Naruse /

Field Summary
AOWP_Token | $variableName {@link AOWP_Token} (他の型の可能性も。要調査)。 $も含めた変数名を、設定します。

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPVariableElement(mixed _lineOrVariableName, mixed variableName, $variableName )

Method Summary
void | __toString()
string | getVariableName()
void | kind()
void | setVariableName(mixed variableName)

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPVariableElement.class.php at line 26

### variableName

`public AOWP_Token $variableName`

`AOWP_Token` (他の型の可能性も。要調査)。 $も含めた変数名を、設定します。

## Constructor Detail

/parser/ast/PHPVariableElement.class.php at line 34

### AOWP_PHPVariableElement

`public AOWP_PHPVariableElement(mixed _lineOrVariableName, mixed variableName, $variableName )`

## Method Detail

/parser/ast/PHPVariableElement.class.php at line 60

### __toString

`public void __toString()`

/parser/ast/PHPVariableElement.class.php at line 56

### getVariableName

`public string getVariableName()`

/parser/ast/PHPVariableElement.class.php at line 65

### kind

`public void kind()`

/parser/ast/PHPVariableElement.class.php at line 48

### setVariableName

`public void setVariableName(mixed variableName)`

See Also:
  parser/ast/util/AOWP_IPHPVariable#setVariableName()

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr